package peer2me.exception;

/**
 * This class represents an exception thrown when trying to
 * extract information from a {@link peer2me.message.Message}
 * @author Tommy Bjoernsgaard
 *
 */
public class UnknownKeyException extends IllegalArgumentException
{

	/**
	 * Default constructor
	 *
	 */
	public UnknownKeyException()
	{
		super();
	}

	/**
	 * Default constructor
	 * @param arg0 A String sent to the super-constructor.
	 */
	public UnknownKeyException(String arg0)
	{
		super(arg0);
	}

}
