package peer2me.util;

import java.util.Vector;
/**
 * A simple class for manipulating strings.
 * @author Tommy Bjoernsgaard
 *
 */
public class TextUtil
{

	/**
	 * A method to split strings into an array based on a character
	 * @param text The string to split
	 * @param splitCharacter The char which will divide the string
	 * @return An array of strings
	 */
	public static String[] split(String text, char splitCharacter) 
	{
		char[] textChars = text.toCharArray();
		int lastIndex = 0;
		Vector strings = new Vector();
		for (int i = 0; i < textChars.length; i++)
		{
			if (textChars[i] == splitCharacter) 
			{		
				strings.addElement( new String( textChars, lastIndex, i - lastIndex ) );
				lastIndex = i + 1;
			}
		}
		
		//The string 'text' does not contain the splitcharacter
		if (strings.size() == 0) 
				return new String[]{ text };

		strings.addElement( new String( textChars, lastIndex, textChars.length - lastIndex ) );
		String[] s = new String[strings.size()];
		strings.copyInto(s);
		return s;
	}

}
