import javax.microedition.lcdui.*;

public class VmsView extends List implements CommandListener{
	
	Command openCommand;
	Command exitCommand;
	Image inbox;
	Image newVms;
	Image outbox;
	VMSMidlet mid;
	
	public VmsView(VMSMidlet midlet){
		super("VMS application",Choice.IMPLICIT);
		mid = midlet;
		try{
			 inbox = Image.createImage("/images/inbox1.png");
			 newVms= Image.createImage("/images/new.png");
			 outbox= Image.createImage("/images/outbox.png");
		} catch (java.io.IOException ioExc)
        {
			//Display alert if an error occurs.......
			Alert errorAlert = new Alert("","Error reading image (VmsView) " + ioExc.getMessage(),null,AlertType.ERROR);
			errorAlert.setTimeout(Alert.FOREVER);
			
			mid.display.setCurrent(errorAlert);
       } 
		
		this.append("  New Voice Message",newVms);
		this.append("  Inbox",inbox);
		this.append("  Outbox",outbox);
		
		this.setTicker(new Ticker("Select your operation from the menu "));
		
		
		Command openCommand=new Command("open",Command.ITEM,1);
		Command exitCommand=new Command("Exit",Command.EXIT,0);
		
		this.addCommand(openCommand);
		this.addCommand(exitCommand);
		this.setSelectCommand(openCommand);
		this.setCommandListener(this);
	}
		
	public void commandAction(Command cmd, Displayable d){

		if (cmd.getCommandType()==Command.EXIT){
			mid.destroyApp(false);
			mid.notifyDestroyed();
		}
//      use the public method provided by the midlet to set the appropriate display
		else if (cmd.getLabel()=="open"){
			int selectedIndex = ((List)d).getSelectedIndex();
			mid.setDisplay(selectedIndex);
		}				
	}
}
