package peer2me.exception;

/**
 * This class represents an exception thrown when the 
 * framework has not been initalized before a search is done.
 * @author Tommy Bjoernsgaard
 *
 */
public class FrameworkNotInitializedException extends NullPointerException
{

	/**
	 * Default constructor
	 *
	 */
	public FrameworkNotInitializedException()
	{
		super();
	}

	/**
	 * Default constructor
	 * @param arg0 A String sent to the super-constructor.
	 */
	public FrameworkNotInitializedException(String arg0)
	{
		super(arg0);
	}

}
