package peer2me.exception;

/**
 * This class represents an exception thrown when a group
 * cannot be found when trying to get a node or a group.
 * @author Tommy Bjoernsgaard
 *
 */
public class GroupNotFoundException extends NullPointerException
{

	/**
	 * Default constructor
	 *
	 */
	public GroupNotFoundException()
	{
		super();
	}

	/**
	 * Default constructor
	 * @param arg0 A String sent to the super-constructor.
	 */
	public GroupNotFoundException(String arg0)
	{
		super(arg0);
	}

}
