package peer2me.exception;

/**
 * This class represents an exception thrown when the conversion from
 * ASCII to HEX goes wrong.
 * @author Tommy Bjoernsgaard
 */
public class HexConversionException extends Exception
{

	/**
	 * Default constructor
	 *
	 */
	public HexConversionException()
	{
		super();
	}

	/**
	 * Default constructor
	 * @param message A String sent to the super-constructor.
	 */
	public HexConversionException(String message)
	{
		super(message);
	}

}
