package peer2me.log;

/**
 * Contains a set of properties to describe
 * the actual LogElement.
 * @author Tommy Bjoernsgaard
 *
 */
public abstract class LogElementType
{
	public static final Information INFORMATION = new Information();
	public static final Warning WARNING = new Warning();
	public static final Error ERROR = new Error();
	public static final Midlet MIDLET = new Midlet();
}

/**
 * A simple protected class to improvise the
 * functionality of Java5 enums.
 * @author Tommy Bjoernsgaard
 *
 */
class Information extends LogElementType
{
	public String toString()
	{
		return "Info";
	}
}

/**
 * A simple protected class to improvise the
 * functionality of Java5 enums.
 * @author Tommy Bjoernsgaard
 *
 */
class Warning extends LogElementType
{
	public String toString()
	{
		return "Warning";
	}
}

/**
 * A simple protected class to improvise the
 * functionality of Java5 enums.
 * @author Tommy Bjoernsgaard
 *
 */
class Error extends LogElementType
{
	public String toString()
	{
		return "Error";
	}
}

/**
 * A simple protected class to improvise the
 * functionality of Java5 enums.
 * @author Tommy Bjoernsgaard
 *
 */
class Midlet extends LogElementType
{
	public String toString()
	{
		return "Midlet";
	}
}


